{
  "AbilityName": "Ellen_Card_A_02",
  "AbilitySpecials": {
    "AS_IceDamageResist": {
      "Value": -0.05,
      "ValueType": "Float"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAdded": [
      {
        "$type": "ApplyAbilityAction",
        "AbilityName": "Ellen_Card_IceMist",
        "IsAutoTrigger": false,
        "Target": "Self"
      },
      {
        "$type": "SetTargetAbilitySpecialAction",
        "Params": [
          {
            "AbilityName": "Ellen_Card_IceMist",
            "AbilitySpecials": [
              {
                "ModifyFunction": "Replace",
                "Param": "%AS_IceDamageResist",
                "ParamName": "AS_IceDamageResist",
                "ParamType": "Float"
              },
              {
                "ModifyFunction": "Replace",
                "Param": 1,
                "ParamName": "AS_Card_A_02",
                "ParamType": "Integer"
              }
            ]
          }
        ]
      }
    ],
    "OnSkillStart": [
      {
        "$type": "TriggerAbilityAction",
        "AbilityName": "Ellen_Card_IceMist",
        "Predicates": [
          {
            "$type": "ByOr",
            "Predicates": [
              {
                "$type": "ByFromSkillType",
                "SkillType": "ExSp"
              },
              {
                "$type": "ByFromSkillType",
                "SkillType": "QTE"
              },
              {
                "$type": "ByFromSkillType",
                "SkillType": "ExQTE"
              }
            ]
          }
        ],
        "Target": "Self"
      }
    ]
  }
}